Has patch:
Subject: Small improvement of ForViewHelper
Description

In the Tx_Fluid_ViewHelpers_ForViewHelper there's a method convertToArray() which extracts an array from the traversable object
via foreach.
This should be replaced by the function iterator_to_array() which does basically the same but more performant on huge objects than
foreach'ing manually.

Patches for v4 and v5 branch are attached.

Associated revisions
Revision bc55efa4 - 2010-07-22 16:45 - Bastian Waidelich

[~TASK] Fluid (ViewHelpers): Replaced custom convertToArray() method by PHPs iterator_to_array() function in cycle, for and groupedFor
ViewHelpers. This resolves #8732. Thanks to Michael Feinbier!

Revision 7feab9f3 - 2010-07-26 17:08 - Bastian Waidelich

[+TASK] Fluid (ViewHelpers): Small performance improvement in ForViewHelper: Objects will only be converted to arrays if reverse is TRUE. Relates
to #8732
[+TASK] Fluid (View): Added getter for template parser to AbstractTemplateView. This is useful if you want to use the parser from within your custom
ViewHelper (creating a new instance would skip interceptor registration)

History
#1 - 2010-07-12 11:51 - Bastian Waidelich
- Status changed from New to Accepted

That's great, I didn't know that function. Thanks!

#2 - 2010-07-22 16:44 - Bastian Waidelich
- Tracker changed from Bug to Task

#3 - 2010-07-22 16:50 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4898.
Files
typo3v4_fluid_iterator_improvement.patch 1.1 kB 2010-07-08 Michael Feinbier
flow3_fluid_iterator_improvement.patch 1.1 kB 2010-07-08 Michael Feinbier
